Bug Hunting Session
Bug 126236 - Crash/Hang when starting Tools > Autocorrect > Apply and Edit changes
Summary: Crash/Hang when starting Tools > Autocorrect > Apply and Edit changes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-07-05 05:29 UTC by artur
Modified: 2019-07-17 09:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description artur 2019-07-05 05:29:27 UTC
1. Start LibreOffice and open an empty writer document
2. Go to Tools > Autocorrect > Apply and Edit changes

console output after crash

soffice.bin: /home/artur/libreoffice/master/vcl/source/window/builder.cxx:4119: void VclBuilder::set_response(const rtl::OString&, short int): Assertion `nResponse >= 100 && "keep non-canned responses in range 100+ to avoid collision with vcl RET_*"' failed.
warn:legacy.tools:5038:5038:vcl/unx/generic/gdi/salbmp.cxx:131: Unsupported BitCount!

happens on (compiled from master branch):
Version: 6.4.0.0.alpha0+
Build ID: 80db66c4f345ac469943f871308b14b7f5ed0a11
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

cannot reproduce it on (from bibisect-linux-64-6.4):
Version: 6.4.0.0.alpha0+
Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-05 09:53:15 UTC
it hangs here

Version: 6.4.0.0.alpha0+
Build ID: d62f6b7d40284b2e41831376e5388711ab6250f3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2019-07-05 10:02:19 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2019-04-18 16:49:26 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-27 12:41:14 +0200
commit	56dd851cfc77c362c3db5c0aae4a490c7f6782cc (patch)
tree	0f5f6564e0b9af8123f4cebfe9a2f55c1bbbba57
parent	6afbe153ffd4cab27f0a7bb77f71f25923dc2e43 (diff)
weld cluster of change tracking dialogs

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-07-16 14:56:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d96a490aa51fe6894a03e28a58e25e412c313f9e%5E%21

Related: tdf#126236 keep user defined responses out of ambiguous range

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-07-16 15:27:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4ed9b1de2bcd5403d8a4e2d85bac620baccc429b%5E%21

Resolves: tdf#126236 reset modality back to initial modality on close

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-07-16 15:30:24 UTC
fixed in master, backports to 6-3 in gerrit
Comment 6 Commit Notification 2019-07-17 08:28:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/fa8c9012e518cfed0cf6f5b6707fd6324c0bb981%5E%21

Resolves: tdf#126236 reset modality back to initial modality on close

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-07-17 08:50:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/821a1315dc490766976cf73436f0cf084980275e%5E%21

Related: tdf#126236 keep user defined responses out of ambiguous range

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-07-17 09:56:17 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 47a774fbef8c224e4853de3fdd0230b9442bb716
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!